---
layout: wiki
title: UserDoc
permalink: /wiki/UserDoc/
---

Qubes User Guides
=================

Standard Topics
---------------

-   [Getting Started](/wiki/GettingStarted)
-   [Creating and Using HVM and Windows Domains (Qubes R2 Only)](/wiki/HvmCreate)
-   [Installing and Using Windows-based AppVMs (Qubes R2 Beta 3 and Later)](/wiki/WindowsAppVms)
-   [Security Guidelines](/wiki/SecurityGuidelines)
-   [Copying and Pasting Between Domains](/wiki/CopyPaste)
-   [Copying Files Between Domains](/wiki/CopyingFiles)
-   [Updating and Adding New Software to AppVMs](/wiki/SoftwareUpdateVM)
-   [Updating Software in dom0](/wiki/SoftwareUpdateDom0)
-   [Disposable VMs](/wiki/DisposableVms)
-   [Understanding Qubes Firewall](/wiki/QubesFirewall)
-   [How to Mount USB Sticks to AppVMs](/wiki/StickMounting)
-   [Assigning PCI Devices to AppVMs](/wiki/AssigningDevices)
-   [Qubes Backup, Restoration, and Migration](/wiki/BackupRestore)
-   [Configuring a Network Printer](/wiki/NetworkPrinter)
-   [Resizing AppVM and HVM Disk Images](/wiki/ResizeDiskImage)
-   [Managing Shortcuts to Applications Installed in AppVMs](/wiki/ManagingAppVmShortcuts)

Advanced Topics
---------------

-   [​Creating Custom NetVMs and ProxyVMs](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
-   [How to Copy Files to dom0](/wiki/CopyToDomZero)
-   [​Extending root.img Size](https://groups.google.com/group/qubes-devel/msg/9d1ac581236ca9b4)
-   [Installing Anti Evil Maid](/wiki/AntiEvilMaid)
-   [How to Install a Transparent Tor ProxyVM](/wiki/UserDoc/TorVM)
-   [XFCE Installation in dom0](/wiki/UserDoc/XFCE)
-   [VM customization?](/wiki/UserDoc/VMConfigFiles)
-   [DispVM Customization](/wiki/UserDoc/DispVMCustomization)
-   [Tips for Using Linux in an HVM](/wiki/LinuxHVMTips)
-   [Enabling Fullscreen Mode for AppVMs](/wiki/FullScreenMode)
-   [Using OpenPGP in Qubes](/wiki/UserDoc/OpenPGP)
-   [Installing ZFS in Qubes](/wiki/ZFS)

Command-Line Tool References
----------------------------

-   [Dom0 Tools](/wiki/DomZeroTools)
-   [VM Tools](/wiki/VmTools)

Additional Topics
-----------------

-   [How to install an Nvidia driver in dom0](/wiki/InstallNvidiaDriver)
-   [Getting Sony Vaio Z laptop to work with Qubes](/wiki/SonyVaioTinkering)
-   [​Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
-   [​How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
-   [​How to run TorBrowser using external tor proxy (from TorVM)](https://groups.google.com/group/qubes-devel/msg/34f67194d3422bfa)
-   [​Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)
-   [​Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)
-   [​HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)
-   [​Solving problems with Macbook Air 2012](https://groups.google.com/group/qubes-devel/browse_thread/thread/b8b0d819d2a4fc39/d50a72449107ab21#8a9268c09d105e69)
-   [Adding Bridge Support to the NetVM (EXPERIMENTAL)](/wiki/NetworkBridgeSupport)
-   [Where are my external storage devices mounted?](/wiki/ExternalDeviceMountPoint)

